Name: metabar
Version: 0.7
Release: alt0.1
Summary: Konqueror meta-info sidebar
License: GPL
Group: Graphical desktop/KDE
URL: ftp://ftp.kde.org/pub/kde/unstable/apps/utils
Source: %name-%version.tar.gz

# Automatically added by buildreq on Mon Apr 11 2005
BuildRequires: fontconfig freetype2 gcc-c++ hostinfo kde-settings kdebase-devel kdebase-konqueror kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

%description
Konqueror sidebar plugin displaying metainfo.

%prep
%setup -q -n %name
%__subst 's,KDE_INCLUDES="",KDE_INCLUDES="-I$kde_includes",' admin/acinclude.m4.in
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
%configure \
    --disable-rpath \
    --disable-debug \
    --disable-static \
    --enable-shared
%make_build

%install
%makeinstall
%find_lang --with-kde %name

%files -f %name.lang
%_libdir/kde3/*
%_datadir/apps/%name
%_datadir/apps/konqsidebartng/*/*
%_iconsdir/*/*/*/*

%changelog
* Sun Apr 10 2005 Nick S. Grechukh <gns@altlinux.ru> 0.7-alt0.1
- initial build
